# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models

def migrate_historical_flag(apps, schema_editor):
    Position = apps.get_model('apella', 'Position')

    non_historical = Position.objects.values('code'). \
        annotate(models.Min('id')).values_list('id__min', flat=True)
    historical = Position.objects.exclude(id__in=non_historical)
    for p in historical:
        p.is_historical = True
        p.save()

class Migration(migrations.Migration):

    dependencies = [
        ('apella', '0042_position_is_historical'),
    ]

    operations = [
        migrations.RunPython(migrate_historical_flag)
    ]
